org.apache.uima.cas.impl

## Class FSClassRegistry

- java.lang.Object
- - org.apache.uima.cas.impl.FSClassRegistry

-     public class FSClassRegistry
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addGeneratorForType(TypeImpl type, FSGenerator<?> fsFactory)` No longer used, but left in for backward compatibility with older JCasgen'd classes
    `FSGenerator<?>[]` | `getBaseGenerators()`
    `FSGenerator<?>[]` | `getNewFSGeneratorSet()`
    `void` | `saveGeneratorsForClassLoader(ClassLoader cl, FSGenerator<?>[] newGenerators)`
    `void` | `setBaseGenerators(FSGenerator<?>[] generators)`
    `boolean` | `swapInGeneratorsForClassLoader(ClassLoader cl, CASImpl casImpl)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### addGeneratorForType

          public void addGeneratorForType(TypeImpl type,
                                          FSGenerator<?> fsFactory)

      No longer used, but left in for backward compatibility with older JCasgen'd classes
      Parameters:
        `type` - -
        `fsFactory` - -

    - #### saveGeneratorsForClassLoader

          public void saveGeneratorsForClassLoader(ClassLoader cl,
                                                   FSGenerator<?>[] newGenerators)

    - #### swapInGeneratorsForClassLoader

          public boolean swapInGeneratorsForClassLoader(ClassLoader cl,
                                                        CASImpl casImpl)

    - #### getBaseGenerators

          public FSGenerator<?>[] getBaseGenerators()

    - #### setBaseGenerators

          public void setBaseGenerators(FSGenerator<?>[] generators)

    - #### getNewFSGeneratorSet

          public FSGenerator<?>[] getNewFSGeneratorSet()

Copyright © 2006–2021 The Apache Software Foundation. All rights reserved.